org.freeplane.plugin.script.proxy

## Interface Proxy

-     public interface Proxy

  This interface alone defines the api for accessing the internal state of the Freeplane. All read-write methods and properties (with rare, documented exceptions in `Proxy.Controller` and `Proxy.Map`) support undo and rollback on exceptions.

  Every Proxy subinterface comes in two variants:

  - A read-only interface, like `Proxy.NodeRO`. This collects only the methods that don't change the underlying object (in case of `NodeRO` this would be `NodeModel`.
  - A read-write interface, like `Proxy.Node`. This inherits from the respective read-only interface all its methods and properties and adds write access to the underlying object.
  The main point of this distinction are formulas: Only the methods defined in the read-only interfaces are supported in Formulas!. Changing values in a Formula are against the Formula concept and lead to corruption of the caching mechanism for Formulas.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `Proxy.Attributes`
    `static interface` | `Proxy.AttributesRO`
    `static interface` | `Proxy.Cloud`
    `static interface` | `Proxy.Connector`
    `static interface` | `Proxy.ConnectorRO`
    `static interface` | `Proxy.Controller`
    `static interface` | `Proxy.ControllerRO`
    `static interface` | `Proxy.DependencyLookup`
    `static interface` | `Proxy.Edge`
    `static interface` | `Proxy.EdgeRO`
    `static interface` | `Proxy.ExternalObject`
    `static interface` | `Proxy.ExternalObjectRO`
    `static interface` | `Proxy.Font`
    `static interface` | `Proxy.FontRO`
    `static interface` | `Proxy.Icons`
    `static interface` | `Proxy.IconsRO`
    `static interface` | `Proxy.Link`
    `static interface` | `Proxy.LinkRO`
    `static interface` | `Proxy.Loader`
    `static interface` | `Proxy.Map` Deprecated. since 1.7.10 use Proxy.MindMap
    `static interface` | `Proxy.MapRO` Deprecated. since 1.7.10, use Proxy.MindMapRO
    `static interface` | `Proxy.MindMap`
    `static interface` | `Proxy.MindMapRO`
    `static interface` | `Proxy.Node`
    `static interface` | `Proxy.NodeGeometry`
    `static interface` | `Proxy.NodeGeometryRO`
    `static interface` | `Proxy.NodeRO`
    `static interface` | `Proxy.NodeStyle`
    `static interface` | `Proxy.NodeStyleRO`
    `static interface` | `Proxy.Properties`
    `static interface` | `Proxy.Reminder`
    `static interface` | `Proxy.ReminderRO`